Jump to content
TCH-Thomas

Advanced Guestbook "include_path" Parameter File Inclusion

Recommended Posts

Description:

BrokeN-ProXy has discovered a vulnerability in Advanced Guestbook, which can be exploited by malicious people to compromise a vulnerable system.

 

Input passed to the "include_path" parameter in admin.php is not properly verified, before it is used to include files. This can be exploited to include arbitrary files from external and local resources.

 

The vulnerability is confirmed in version 2.3.1. Other versions may also be affected.

 

Solution:

Update to version 2.4.2.

 

From Secunia

http://secunia.com/advisories/22756/

Share this post


Link to post
Share on other sites

Damn I love attention seekers. Not you Thomas but the person who posted that on Secunia. That exploit has been around since version 2.2 and was being used in conjunction with the admin login exploit of 2.2 to use sites running 2.2 for phishing sites and email senders. The person fails to mention that the attacker has to have already gained access to your guestbooks admin section before they can even use this exploit and once they have access this exploit should be the least of your worries.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...